#!/bin/bash

export Script_Dir="${0%/*}"
export Service_Name="ChronicallServer"
export Service_Display_Name="Chronicall Server"
export Pid="ChronicallServerPid"
export Test_Filename="ChronicallServerProcessAliveTest.txt"

echo Attempting to stop "$Service_Display_Name"
#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Pid"` > "$Script_Dir"/"$Test_Filename"
	#If process info exists
	if [ -s "$Script_Dir"/"$Test_Filename" ]
	then
		echo Stopping "$Service_Display_Name" \(pid `cat "$Script_Dir"/"$Pid"`\)
		kill -9 `cat "$Script_Dir"/"$Pid"`
	else
		echo "$Service_Display_Name" is not running
	fi
	rm "$Script_Dir"/"$Pid"
	rm "$Script_Dir"/"$Test_Filename"
else
	echo "$Service_Display_Name" is not running
fi